Difference between revisions of "Historical:Linking Compatibility"

From the makers of InspIRCd.
Jump to: navigation, search
(1.1.10)
(1.1.11)
Line 336: Line 336:
 
<th style="background:silver; text-align: left; padding-left:4px; padding-right:4px;">1.1.9</th>
 
<th style="background:silver; text-align: left; padding-left:4px; padding-right:4px;">1.1.9</th>
 
<th style="background:silver; text-align: left; padding-left:4px; padding-right:4px;">1.1.10</th>
 
<th style="background:silver; text-align: left; padding-left:4px; padding-right:4px;">1.1.10</th>
 +
<th style="background:silver; text-align: left; padding-left:4px; padding-right:4px;">1.1.11</th>
 
</tr>
 
</tr>
 
<tr>
 
<tr>
Line 342: Line 343:
 
<td> XX </td>
 
<td> XX </td>
 
<td> XX </td>
 
<td> XX </td>
 +
<td> -- </td>
 
<td> -- </td>
 
<td> -- </td>
 
<td> -- </td>
 
<td> -- </td>
Line 356: Line 358:
 
<td> XX </td>
 
<td> XX </td>
 
<td> XX </td>
 
<td> XX </td>
 +
<td> -- </td>
 
<td> -- </td>
 
<td> -- </td>
 
<td> -- </td>
 
<td> -- </td>
Line 370: Line 373:
 
<td> -- </td>
 
<td> -- </td>
 
<td> -- </td>
 
<td> -- </td>
 +
<td> XX </td>
 
<td> XX </td>
 
<td> XX </td>
 
<td> XX </td>
 
<td> XX </td>
Line 384: Line 388:
 
<td> -- </td>
 
<td> -- </td>
 
<td> -- </td>
 
<td> -- </td>
 +
<td> XX </td>
 
<td> XX </td>
 
<td> XX </td>
 
<td> XX </td>
 
<td> XX </td>
Line 398: Line 403:
 
<td> -- </td>
 
<td> -- </td>
 
<td> -- </td>
 
<td> -- </td>
 +
<td> XX </td>
 
<td> XX </td>
 
<td> XX </td>
 
<td> XX </td>
 
<td> XX </td>
Line 412: Line 418:
 
<td> -- </td>
 
<td> -- </td>
 
<td> -- </td>
 
<td> -- </td>
 +
<td> XX </td>
 
<td> XX </td>
 
<td> XX </td>
 
<td> XX </td>
 
<td> XX </td>
Line 426: Line 433:
 
<td> -- </td>
 
<td> -- </td>
 
<td> -- </td>
 
<td> -- </td>
 +
<td> XX </td>
 
<td> XX </td>
 
<td> XX </td>
 
<td> XX </td>
 
<td> XX </td>
Line 440: Line 448:
 
<td> -- </td>
 
<td> -- </td>
 
<td> -- </td>
 
<td> -- </td>
 +
<td> XX </td>
 
<td> XX </td>
 
<td> XX </td>
 
<td> XX </td>
 
<td> XX </td>
Line 454: Line 463:
 
<td> -- </td>
 
<td> -- </td>
 
<td> -- </td>
 
<td> -- </td>
 +
<td> XX </td>
 
<td> XX </td>
 
<td> XX </td>
 
<td> XX </td>
 
<td> XX </td>
Line 468: Line 478:
 
<td> -- </td>
 
<td> -- </td>
 
<td> -- </td>
 
<td> -- </td>
 +
<td> XX </td>
 
<td> XX </td>
 
<td> XX </td>
 
<td> XX </td>
 
<td> XX </td>
Line 482: Line 493:
 
<td> -- </td>
 
<td> -- </td>
 
<td> -- </td>
 
<td> -- </td>
 +
<td> XX </td>
 
<td> XX </td>
 
<td> XX </td>
 
<td> XX </td>
 
<td> XX </td>
Line 492: Line 504:
 
</tr>
 
</tr>
  
 +
<tr>
 +
<th style="background:silver; text-align:left;">1.1.11</th>
 +
<td> -- </td>
 +
<td> -- </td>
 +
<td> -- </td>
 +
<td> XX </td>
 +
<td> XX </td>
 +
<td> XX </td>
 +
<td> XX </td>
 +
<td> XX </td>
 +
<td> XX </td>
 +
<td> XX </td>
 +
<td> XX </td>
 +
<td> XX </td>
 +
</tr>
 
</table>
 
</table>
  
 
'''NOTE''': Again, changes to the linking protocol in 1.1.x versions do not affect services packages, and are checks which prevent versions which have bugs from linking to versions which don't.
 
'''NOTE''': Again, changes to the linking protocol in 1.1.x versions do not affect services packages, and are checks which prevent versions which have bugs from linking to versions which don't.

Revision as of 03:04, 30 July 2007

This page lists which versions of InspIRCd can successfully link with each other. An 'XX' in the table where two versions meet indicates that these versions are link-compatible.

1.0 series

  1.0 Alpha 11 - 1.0 Beta 5 1.0 Beta 6 - 1.0 RC1* 1.0 RC2 - 1.0.0 1.0.1 1.0.2 1.0.3 1.0.4 1.0.5 1.0.6 1.0.7
1.0 Alpha 11 - 1.0 Beta 5 XX -- -- -- -- -- -- -- -- --
1.0 Beta 6 - 1.0 RC1* -- XX * XX * -- -- -- -- -- -- --
1.0 RC2 - 1.0.0 -- XX * XX * -- -- -- -- -- -- --
1.0.1 -- -- -- XX XX XX XX XX XX XX
1.0.2 -- -- -- XX XX XX XX XX XX XX
1.0.3 -- -- -- XX XX XX XX XX XX XX
1.0.4 -- -- -- XX XX XX XX XX XX XX
1.0.5 -- -- -- XX XX XX XX XX XX XX
1.0.6 -- -- -- XX XX XX XX XX XX XX
1.0.7 -- -- -- XX XX XX XX XX XX XX

* The 1.0.0 Beta 6 through 1.0 RC1 had a different method for representing (and dealing with) channel timestamps.
This does not usually affect services packages, which may state 'Compatible with Beta 6 and above'. These will still operate properly.


1.1 beta series

  1.1 Alpha 1.1 Beta 1 1.1 Beta 2 1.1 Beta 3 1.1 Beta 4 1.1 Beta 5 1.1 Beta 6 1.1 Beta 7 1.1 Beta 8 1.1 Beta 9*
1.1 Alpha XX -- -- -- -- -- -- -- -- --
1.1 Beta 1 -- XX -- -- -- -- -- -- -- --
1.1 Beta 2 -- -- XX -- -- -- -- -- -- --
1.1 Beta 3 -- -- -- XX XX XX XX XX XX XX
1.1 Beta 4 -- -- -- XX XX XX XX XX XX XX
1.1 Beta 5 -- -- -- XX XX XX XX XX XX XX
1.1 Beta 6 -- -- -- XX XX XX XX XX XX XX
1.1 Beta 7 -- -- -- XX XX XX XX XX XX XX
1.1 Beta 8 -- -- -- XX XX XX XX XX XX XX
1.1 Beta 9 * -- -- -- XX XX XX XX XX XX XX

* Note that 1.1 Beta 9 is also compatible with the 1.1.0 and later releases shown in the table below.

1.1 release/stable series

  1.1.0 1.1.1 1.1.2 1.1.3 1.1.4 1.1.5 1.1.6 1.1.7 1.1.8 1.1.9 1.1.10 1.1.11
1.1.0 XX XX XX -- -- -- -- -- -- -- -- --
1.1.1 XX XX XX -- -- -- -- -- -- -- -- --
1.1.2 -- -- -- XX XX XX XX XX XX XX XX XX
1.1.3 -- -- -- XX XX XX XX XX XX XX XX XX
1.1.4 -- -- -- XX XX XX XX XX XX XX XX XX
1.1.5 -- -- -- XX XX XX XX XX XX XX XX XX
1.1.6 -- -- -- XX XX XX XX XX XX XX XX XX
1.1.7 -- -- -- XX XX XX XX XX XX XX XX XX
1.1.8 -- -- -- XX XX XX XX XX XX XX XX XX
1.1.9 -- -- -- XX XX XX XX XX XX XX XX XX
1.1.10 -- -- -- XX XX XX XX XX XX XX XX XX
1.1.11 -- -- -- XX XX XX XX XX XX XX XX XX

NOTE: Again, changes to the linking protocol in 1.1.x versions do not affect services packages, and are checks which prevent versions which have bugs from linking to versions which don't.